VERSION 5.00
Begin VB.Form frmTextPos 
   Caption         =   "Text Position Search"
   ClientHeight    =   4695
   ClientLeft      =   165
   ClientTop       =   3345
   ClientWidth     =   5175
   Icon            =   "TextPos.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4695
   ScaleWidth      =   5175
   Begin VB.TextBox txtAdjacentDigits 
      Alignment       =   1  'Right Justify
      Height          =   320
      Left            =   3840
      TabIndex        =   3
      Text            =   "1"
      ToolTipText     =   "The byte position of the first byte to search "
      Top             =   1200
      Width           =   1245
   End
   Begin VB.TextBox txtSearchStartPosition 
      Alignment       =   1  'Right Justify
      Height          =   320
      Left            =   1320
      TabIndex        =   2
      Text            =   "1"
      ToolTipText     =   "The byte position of the first byte to search "
      Top             =   1200
      Width           =   1245
   End
   Begin VB.TextBox txtSearchWindowSize 
      Alignment       =   1  'Right Justify
      Height          =   320
      Left            =   1320
      TabIndex        =   4
      ToolTipText     =   "The number of bytes to load into memory for each pass"
      Top             =   1680
      Width           =   1245
   End
   Begin VB.CommandButton btnSearch 
      Caption         =   "Search"
      Default         =   -1  'True
      Height          =   375
      Left            =   3960
      TabIndex        =   5
      ToolTipText     =   "Execute Search"
      Top             =   4200
      Width           =   1095
   End
   Begin VB.TextBox txtSearchString 
      Alignment       =   1  'Right Justify
      Height          =   320
      Left            =   1320
      TabIndex        =   1
      ToolTipText     =   "The string to search for within the search file"
      Top             =   720
      Width           =   3760
   End
   Begin VB.TextBox txtSearchFileName 
      Height          =   320
      Left            =   1320
      TabIndex        =   0
      ToolTipText     =   "The fully qualified path of the file to search"
      Top             =   240
      Width           =   3760
   End
   Begin VB.Label lblRightDigits 
      Caption         =   "Right Digits:"
      Height          =   240
      Index           =   0
      Left            =   120
      TabIndex        =   20
      Top             =   3205
      Width           =   1095
   End
   Begin VB.Label lblLeftDigits 
      Caption         =   "Left Digits:"
      Height          =   240
      Index           =   0
      Left            =   120
      TabIndex        =   19
      Top             =   2715
      Width           =   1095
   End
   Begin VB.Label lblRightDigits 
      Alignment       =   1  'Right Justify
      BorderStyle     =   1  'Fixed Single
      Height          =   315
      Index           =   1
      Left            =   1320
      TabIndex        =   18
      ToolTipText     =   "Displays adjacent digits to the right of the search string"
      Top             =   3120
      Width           =   3765
   End
   Begin VB.Label lblLeftDigits 
      Alignment       =   1  'Right Justify
      BorderStyle     =   1  'Fixed Single
      Height          =   315
      Index           =   1
      Left            =   1320
      TabIndex        =   17
      ToolTipText     =   "Displays adjacent digits to the left of the search string"
      Top             =   2640
      Width           =   3765
   End
   Begin VB.Label lblAdjacentDigits 
      Caption         =   "Adjacent Dig:"
      Height          =   240
      Left            =   2760
      TabIndex        =   16
      Top             =   1275
      Width           =   1095
   End
   Begin VB.Label lblStartPosition 
      Caption         =   "Start Position:"
      Height          =   240
      Left            =   120
      TabIndex        =   15
      Top             =   1275
      Width           =   1095
   End
   Begin VB.Label lblSearchTime 
      Alignment       =   1  'Right Justify
      BorderStyle     =   1  'Fixed Single
      Height          =   315
      Index           =   1
      Left            =   1320
      TabIndex        =   14
      ToolTipText     =   "Displays the search time in seconds"
      Top             =   4080
      Width           =   1245
   End
   Begin VB.Label lblMessages 
      BorderStyle     =   1  'Fixed Single
      Height          =   315
      Index           =   1
      Left            =   1320
      TabIndex        =   13
      ToolTipText     =   "Displays status and error messages"
      Top             =   3600
      Width           =   3765
   End
   Begin VB.Label lblTextPosition 
      Alignment       =   1  'Right Justify
      BorderStyle     =   1  'Fixed Single
      Height          =   315
      Index           =   1
      Left            =   1320
      TabIndex        =   12
      ToolTipText     =   "Displays the starting byte in file of the first occurance of search string"
      Top             =   2160
      Width           =   1245
   End
   Begin VB.Label lblSearchWindowSize 
      Caption         =   "Block Size:"
      Height          =   240
      Left            =   120
      TabIndex        =   11
      Top             =   1755
      Width           =   1095
   End
   Begin VB.Label lblSearchTime 
      Caption         =   "Search time:"
      Height          =   240
      Index           =   0
      Left            =   120
      TabIndex        =   10
      Top             =   4155
      Width           =   1095
   End
   Begin VB.Label lblMessages 
      Caption         =   "Messages:"
      Height          =   240
      Index           =   0
      Left            =   120
      TabIndex        =   9
      Top             =   3675
      Width           =   1095
   End
   Begin VB.Label lblTextPosition 
      Caption         =   "Text Position:"
      Height          =   240
      Index           =   0
      Left            =   120
      TabIndex        =   8
      Top             =   2235
      Width           =   1335
   End
   Begin VB.Label lblSearchString 
      Caption         =   "Search String:"
      Height          =   240
      Index           =   1
      Left            =   120
      TabIndex        =   7
      Top             =   800
      Width           =   1095
   End
   Begin VB.Label lblFileName 
      Caption         =   "File name:"
      Height          =   240
      Index           =   0
      Left            =   120
      TabIndex        =   6
      Top             =   320
      Width           =   1095
   End
   Begin VB.Menu mnuSettings 
      Caption         =   "&Settings"
      Begin VB.Menu mnuSettingsOptions 
         Caption         =   "&Options"
         Shortcut        =   ^S
      End
      Begin VB.Menu mnuLine1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuSettingsExit 
         Caption         =   "E&xit"
         Shortcut        =   ^X
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpCommandLineOptions 
         Caption         =   "&Command Line Options"
         Shortcut        =   {F1}
      End
      Begin VB.Menu mnuLine2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About"
      End
   End
End
Attribute VB_Name = "frmTextPos"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit





Private Sub btnSearch_Click()

    btnSearch.Enabled = False
    lblMessages(1) = "Searching..."
    lblTextPosition(1) = ""
    lblSearchTime(1) = ""
    Refresh
    
    Options.SearchFileName = txtSearchFileName
    Options.SearchWindowSize = Val(txtSearchWindowSize)
    Options.SearchStartPosition = txtSearchStartPosition
    Options.AdjacentDigits = txtAdjacentDigits
    
    RunSearch (txtSearchString)
    UpdateSearchGUI
    
    btnSearch.Enabled = True

End Sub







Private Sub Form_Load()

    InitializeApp (Command$)
    
    'Assign Option values to form fields
    txtSearchFileName = Options.SearchFileName
    txtSearchWindowSize = Options.SearchWindowSize
    txtSearchStartPosition = Options.SearchStartPosition
    txtAdjacentDigits = Options.AdjacentDigits
    
    frmTextPos.Show
    txtSearchString.SetFocus
    'Refresh
    
End Sub

Private Sub mnuHelpAbout_Click()

    frmAbout.Show (1)
    
End Sub

Private Sub mnuHelpCommandLineOptions_Click()

   frmCommandLine.Show (1)
    
End Sub


Private Sub mnuSettingsExit_Click()

    Unload frmTextPos
    End
    
End Sub

Private Sub mnuSettingsOptions_Click()

    frmOptions.Show (1)
    
    txtSearchFileName = Options.SearchFileName
    txtSearchWindowSize = Options.SearchWindowSize
    txtSearchStartPosition = Options.SearchStartPosition
    txtAdjacentDigits = Options.AdjacentDigits
    Refresh

End Sub



Private Sub txtAdjacentDigits_GotFocus()

    txtAdjacentDigits.SelStart = 0
    txtAdjacentDigits.SelLength = Len(txtAdjacentDigits)

End Sub


Private Sub txtAdjacentDigits_KeyPress(KeyAscii As Integer)

    KeyAscii = AsciiFilter(KeyAscii, 2)

End Sub


Private Sub txtSearchFileName_GotFocus()

    txtSearchFileName.SelStart = 0
    txtSearchFileName.SelLength = Len(txtSearchFileName)

End Sub

Private Sub txtSearchFileName_KeyPress(KeyAscii As Integer)

    KeyAscii = AsciiFilter(KeyAscii, 4)

End Sub


Private Sub txtSearchStartPosition_GotFocus()

    txtSearchStartPosition.SelStart = 0
    txtSearchStartPosition.SelLength = Len(txtSearchStartPosition)

End Sub


Private Sub txtSearchStartPosition_KeyPress(KeyAscii As Integer)

    KeyAscii = AsciiFilter(KeyAscii, 2)

End Sub


Private Sub txtSearchString_GotFocus()

    txtSearchString.SelStart = 0
    txtSearchString.SelLength = Len(txtSearchString)

End Sub


Private Sub txtSearchWindowSize_GotFocus()

    txtSearchWindowSize.SelStart = 0
    txtSearchWindowSize.SelLength = Len(txtSearchWindowSize)

End Sub


Private Sub txtSearchWindowSize_KeyPress(KeyAscii As Integer)

    KeyAscii = AsciiFilter(KeyAscii, 2)

End Sub


